using System.Collections.Generic;
using Sirenix.OdinInspector;
using Sirenix.Utilities.Editor;
using UnityEngine;

namespace Scripts
{
	public class Inventory : SerializedMonoBehaviour
	{
		[SerializeField, ListDrawerSettings(AlwaysAddDefaultValue = true)]
		[InfoBox("In the list the values are set correctly using the Unity\'s object picker.\n\n" +
		         "However, in my original project, whenever I tried to set a value, it got called one more time for the following value as well.\n\n" +
		         "Note that this is a List of type Item, but it is displayed using the custom drawer, which draws an ItemAsset field instead.")]
		public List<Item> ItemList = new List<Item>();

		[InfoBox("In the case of multiple separate fields, after setting one field, the following gets set to the same value (but a different object - basically, two calls)\n\n" +
		         "This is the same behaviour as I've experienced with Lists in my original project.\n\n" +
		         "The behaviour with separate items in the original project was even weirder - after setting a value for field <i>n</i>, it either worked as intended, or it set the field <i>n+2</i> to the same value.\n\n" +
		         "Dragging and dropping an ItemAsset from the project works correctly, the issue only happens with the Unity object picker.")]
		public Item Item1;
		public Item Item2;
		[SerializeField] private Item item3;
		public Item Item4;
		[ShowInInspector] private Item item5;
	}
}